diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 7348afccc..6706e3f2a 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -27,6 +27,7 @@ import net.minecraft.core.block.support.PartialSupport;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemDiscMusic;
 import net.minecraft.core.lang.I18n;
+import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.HitResult;
@@ -38,16 +39,20 @@ import net.minecraft.core.item.Item;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.BoundingVolume;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.AuroraProvider;
 import net.minecraft.core.world.LevelListener;
+import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.weather.Weathers;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.Vector3d;
+import org.joml.Vector3dc;
+import org.joml.Vector3fc;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 import org.lwjgl.opengl.ARBOcclusionQuery;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL15;
@@ -58,6 +63,7 @@ import java.util.Arrays;
 import java.util.List;
 import java.util.Random;
 
+import static java.awt.Color.HSBtoRGB;
 import static org.lwjgl.opengl.GL11.*;
 
 public class RenderGlobal
@@ -127,34 +133,31 @@ public class RenderGlobal
 
     private double auroraBrightness = 0.0f;
     private double targetAuroraBrightness = Double.NaN;
-    private double auroraBrightnessDelta = Double.NaN;
 
     private double rainbowBrightness = 0.0f;
-    private double targetRainbowBrightness = Double.NaN;
-    private double rainbowBrightnessDelta = Double.NaN;
 
     public RenderGlobal(Minecraft mc, TextureManager textureManager) {
         this.mc = mc;
         this.textureManager = textureManager;
-        chunkLists = GLAllocation.generateDisplayLists(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * MAX_VISIBLE_REBUILDS_PER_FRAME);
-        occlusionCheck = OpenGLHelper.enableOcclusionCheck;
-        if (occlusionCheck) {
-            resultBuffer.clear();
-            occlusionCheckIds = GLAllocation.createDirectIntBuffer(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH);
-            occlusionCheckIds.clear();
-            occlusionCheckIds.position(0);
-            occlusionCheckIds.limit(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH);
-            ARBOcclusionQuery.glGenQueriesARB(occlusionCheckIds);
+        this.chunkLists = GLAllocation.generateDisplayLists(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * MAX_VISIBLE_REBUILDS_PER_FRAME);
+        this.occlusionCheck = OpenGLHelper.enableOcclusionCheck;
+        if (this.occlusionCheck) {
+            this.resultBuffer.clear();
+            this.occlusionCheckIds = GLAllocation.createDirectIntBuffer(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH);
+            this.occlusionCheckIds.clear();
+            this.occlusionCheckIds.position(0);
+            this.occlusionCheckIds.limit(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH);
+            ARBOcclusionQuery.glGenQueriesARB(this.occlusionCheckIds);
         }
 
         // Set up call list for stars
-        starList = GLAllocation.generateDisplayLists(3);
+        this.starList = GLAllocation.generateDisplayLists(3);
         updateStars();
 
         // Set up call list for sky
         Tessellator t = Tessellator.instance;
-        skyList = starList + 1;
-        GL11.glNewList(skyList, GL11.GL_COMPILE);
+        this.skyList = this.starList + 1;
+        GL11.glNewList(this.skyList, GL11.GL_COMPILE);
         int s = 64;
         int d = 256 / s + 2;
         float yy = 16F;
@@ -173,7 +176,7 @@ public class RenderGlobal
 
     public void updateStars() {
         GL11.glPushMatrix();
-        GL11.glNewList(starList, GL11.GL_COMPILE);
+        GL11.glNewList(this.starList, GL11.GL_COMPILE);
         renderStars();
         GL11.glEndList();
         GL11.glPopMatrix();
@@ -252,59 +255,59 @@ public class RenderGlobal
         // Delete all display lists - this is a (hopefully temporary) workaround to AMD's OpenGL driver leaking memory
         // See https://community.amd.com/t5/opengl-vulkan/high-vram-consumption-in-minecraft/m-p/607299
         deleteChunkLists();
-        chunkLists = GLAllocation.generateDisplayLists(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * MAX_VISIBLE_REBUILDS_PER_FRAME);
+        this.chunkLists = GLAllocation.generateDisplayLists(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * MAX_VISIBLE_REBUILDS_PER_FRAME);
 
-        BlockModelLeaves.setGraphicsLevel(mc.gameSettings.fancyGraphics.value == 1);
-        renderDistance = mc.gameSettings.renderDistance.value;
-        if (world == null) return;
+        BlockModelLeaves.setGraphicsLevel(this.mc.gameSettings.fancyGraphics.value == 1);
+        this.renderDistance = this.mc.gameSettings.renderDistance.value;
+        if (this.world == null) return;
 
         // Reset all world renderers
-        if (chunkRenderers != null) {
-            for (ChunkRenderer chunkRenderer : chunkRenderers) {
+        if (this.chunkRenderers != null) {
+            for (ChunkRenderer chunkRenderer : this.chunkRenderers) {
                 chunkRenderer.delete();
             }
         }
-        int dist = renderDistance * 16 * 2;
+        int dist = this.renderDistance * 16 * 2;
 
-        xChunks = dist / RENDER_CHUNK_SIZE + 1;
-        yChunks = world.getHeightBlocks() / RENDER_CHUNK_SIZE;
-        zChunks = dist / RENDER_CHUNK_SIZE + 1;
+        this.xChunks = dist / RENDER_CHUNK_SIZE + 1;
+        this.yChunks = this.world.getHeightBlocks() / RENDER_CHUNK_SIZE;
+        this.zChunks = dist / RENDER_CHUNK_SIZE + 1;
 
-        chunkRenderers = new ChunkRenderer[xChunks * yChunks * zChunks];
-        sortedChunkRenderers = new ChunkRenderer[xChunks * yChunks * zChunks];
+        this.chunkRenderers = new ChunkRenderer[this.xChunks * this.yChunks * this.zChunks];
+        this.sortedChunkRenderers = new ChunkRenderer[this.xChunks * this.yChunks * this.zChunks];
 
         int id = 0;
         int count = 0;
 
-        xMinChunk = 0;
-        yMinChunk = 0;
-        zMinChunk = 0;
-        xMaxChunk = xChunks;
-        yMaxChunk = yChunks;
-        zMaxChunk = zChunks;
+        this.xMinChunk = 0;
+        this.yMinChunk = 0;
+        this.zMinChunk = 0;
+        this.xMaxChunk = this.xChunks;
+        this.yMaxChunk = this.yChunks;
+        this.zMaxChunk = this.zChunks;
 
-        for (ChunkRenderer cr : dirtyChunks) {
+        for (ChunkRenderer cr : this.dirtyChunks) {
             cr.dirty = false;
         }
 
-        dirtyChunks.clear();
-        renderableTileEntities.clear();
+        this.dirtyChunks.clear();
+        this.renderableTileEntities.clear();
 
-        for (int x = 0; x < xChunks; x++) {
-            for (int y = 0; y < yChunks; y++) {
-                for (int z = 0; z < zChunks; z++) {
-                    int index = (z * yChunks + y) * xChunks + x;
-                    chunkRenderers[index] = mc.terrainRenderer.createChunkRenderer(world, renderableTileEntities, x * RENDER_CHUNK_SIZE, y * RENDER_CHUNK_SIZE, z * RENDER_CHUNK_SIZE, RENDER_CHUNK_SIZE, chunkLists + id);
-                    if (occlusionCheck) {
-                        chunkRenderers[index].occlusionId = occlusionCheckIds.get(count);
+        for (int x = 0; x < this.xChunks; x++) {
+            for (int y = 0; y < this.yChunks; y++) {
+                for (int z = 0; z < this.zChunks; z++) {
+                    int index = (z * this.yChunks + y) * this.xChunks + x;
+                    this.chunkRenderers[index] = this.mc.terrainRenderer.createChunkRenderer(this.world, this.renderableTileEntities, x * RENDER_CHUNK_SIZE, y * RENDER_CHUNK_SIZE, z * RENDER_CHUNK_SIZE, RENDER_CHUNK_SIZE, this.chunkLists + id);
+                    if (this.occlusionCheck) {
+                        this.chunkRenderers[index].occlusionId = this.occlusionCheckIds.get(count);
                     }
-                    chunkRenderers[index].occlusionQuerying = false;
-                    chunkRenderers[index].occlusionVisible = true;
-                    chunkRenderers[index].visible = true;
-                    chunkRenderers[index].id = count++;
-                    chunkRenderers[index].setDirty();
-                    sortedChunkRenderers[index] = chunkRenderers[index];
-                    dirtyChunks.add(chunkRenderers[index]);
+                    this.chunkRenderers[index].occlusionQuerying = false;
+                    this.chunkRenderers[index].occlusionVisible = true;
+                    this.chunkRenderers[index].visible = true;
+                    this.chunkRenderers[index].id = count++;
+                    this.chunkRenderers[index].setDirty();
+                    this.sortedChunkRenderers[index] = this.chunkRenderers[index];
+                    this.dirtyChunks.add(this.chunkRenderers[index]);
                     id += ChunkRenderer.MAX_RENDER_PASSES + 1;
                 }
 
@@ -312,27 +315,27 @@ public class RenderGlobal
 
         }
 
-        if (world != null) {
-            if (mc.activeCamera != null) {
-                resortChunks(MathHelper.floor(mc.activeCamera.getX()), MathHelper.floor(mc.activeCamera.getY()), MathHelper.floor(mc.activeCamera.getZ()));
-                Arrays.sort(sortedChunkRenderers, new CameraSorter(mc.activeCamera));
+        if (this.world != null) {
+            if (this.mc.activeCamera != null) {
+                resortChunks(MathHelper.floor(this.mc.activeCamera.getX()), MathHelper.floor(this.mc.activeCamera.getY()), MathHelper.floor(this.mc.activeCamera.getZ()));
+                Arrays.sort(this.sortedChunkRenderers, new CameraSorter(this.mc.activeCamera));
             }
         }
 
-        noEntityRenderFrames = 2;
+        this.noEntityRenderFrames = 2;
     }
 
     public void renderAurora(ICamera camera, float partialTick) {
-        float celestialAngle = world.getCelestialAngle(partialTick);
+        float celestialAngle = this.world.getCelestialAngle(partialTick);
         if (celestialAngle < 0.25f) return;
 
         double cameraX = camera.getX(partialTick);
         double cameraY = camera.getY(partialTick);
         double cameraZ = camera.getZ(partialTick);
         double cameraYaw = camera.getYRot(partialTick);
-        double temperature = world.getBlockTemperature((int) cameraX, (int) cameraZ);
+        double temperature = this.world.getBlockTemperature((int) cameraX, (int) cameraZ);
         float mult = 0.0f;
-        if ((temperature <= 0.4f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && world.isChunkLoaded((int) cameraX, (int) cameraZ)) {
+        if ((temperature <= 0.4f || this.world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && this.world.isChunkLoaded((int) cameraX, (int) cameraZ)) {
             // temperature from 0.0f to 0.4f
             temperature /= 0.4f;
             // temperature from 0.0f to 1.0f
@@ -341,8 +344,8 @@ public class RenderGlobal
             mult += temperature;
         }
 
-        double altitude = world.getWorldType().getYPercentage((int) cameraY);
-        if ((temperature <= 0.6f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && altitude >= 0.8f) {
+        double altitude = this.world.getWorldType().getYPercentage((int) cameraY);
+        if ((temperature <= 0.6f || this.world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || this.world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && altitude >= 0.8f) {
             // altitude from 0.8f to 1.0f
             altitude -= 0.8f;
             // altitude from 0.0f to 0.4f
@@ -353,14 +356,14 @@ public class RenderGlobal
         if (mult < 0.0f) mult = 0.0f;
         if (mult > 1.0f) mult = 1.0f;
 
-        if (Double.isNaN(targetAuroraBrightness)) {
-            auroraBrightness = mult;
+        if (Double.isNaN(this.targetAuroraBrightness)) {
+            this.auroraBrightness = mult;
         }
 
-        targetAuroraBrightness = mult;
-        double totalDelta = targetAuroraBrightness - auroraBrightness;
-        auroraBrightnessDelta = totalDelta / 100;
-        auroraBrightness += auroraBrightnessDelta * partialTick;
+        this.targetAuroraBrightness = mult;
+        double totalDelta = this.targetAuroraBrightness - this.auroraBrightness;
+        double auroraBrightnessDelta = totalDelta / 100;
+        this.auroraBrightness += auroraBrightnessDelta * partialTick;
 
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
@@ -371,18 +374,18 @@ public class RenderGlobal
         GL11.glDisable(GL11.GL_ALPHA_TEST);
 
         final double scale = 1f;
-        double auroraY = (world.getWorldType().getMinY() + world.getWorldType().getYRange() + 64f) * 2f;
+        double auroraY = (this.world.getWorldType().getMinY() + this.world.getWorldType().getYRange() + 64f) * 2f;
 
         // Draw pieces
         double rotationX = Math.cos(((cameraYaw * Math.PI) / 180D));
         double rotationZ = Math.sin(((cameraYaw * Math.PI) / 180D));
 
-        textureManager.bindTexture(textureManager.loadTexture("/assets/minecraft/textures/environment/aurora.png"));
-        double time = world.getWorldTime() + partialTick;
-        AuroraProvider aurora = world.auroraProvider;
+        this.textureManager.bindTexture(this.textureManager.loadTexture("/assets/minecraft/textures/environment/aurora.png"));
+        double time = this.world.getWorldTime() + partialTick;
+        AuroraProvider aurora = this.world.auroraProvider;
 
         double radius = 512;
-        long worldTime = world.getWorldTime();
+        long worldTime = this.world.getWorldTime();
 
         Tessellator.instance.startDrawingQuads();
         for (double x = -radius; x < radius; x += 16) {
@@ -394,7 +397,7 @@ public class RenderGlobal
                 double distanceSqPercentage = distanceSq / (radius * radius + radius * radius);
                 distanceSqPercentage = 1f - distanceSqPercentage;
 
-                double sample = aurora.getAuroraPresence(posX, posZ, worldTime, celestialAngle) * auroraBrightness;
+                double sample = aurora.getAuroraPresence(posX, posZ, worldTime, celestialAngle) * this.auroraBrightness;
                 if (sample * 0.3f * distanceSqPercentage < 0.01f) continue;
 
                 for (int i = 0; i < 2; i++) {
@@ -436,29 +439,30 @@ public class RenderGlobal
     }
 
     public void renderEntities(ICamera camera, float partialTick) {
-        if (noEntityRenderFrames > 0) {
-            noEntityRenderFrames--;
+        if (this.noEntityRenderFrames > 0) {
+            this.noEntityRenderFrames--;
             return;
         }
-        TileEntityRenderDispatcher.instance.cacheActiveRenderInfo(world, camera, partialTick);
-        EntityRenderDispatcher.instance.cacheActiveRenderInfo(world, camera, partialTick);
-        totalEntities = 0;
-        renderedEntities = 0;
-        culledEntities = 0;
+        TileEntityRenderDispatcher.instance.cacheActiveRenderInfo(this.world, camera, partialTick);
+        EntityRenderDispatcher.instance.cacheActiveRenderInfo(this.world, camera, partialTick);
+        this.totalEntities = 0;
+        this.renderedEntities = 0;
+        this.culledEntities = 0;
         EntityRenderDispatcher.renderPosX = camera.getX(partialTick);
         EntityRenderDispatcher.renderPosY = camera.getY(partialTick);
         EntityRenderDispatcher.renderPosZ = camera.getZ(partialTick);
         TileEntityRenderDispatcher.renderPosX = camera.getX(partialTick);
         TileEntityRenderDispatcher.renderPosY = camera.getY(partialTick);
         TileEntityRenderDispatcher.renderPosZ = camera.getZ(partialTick);
-        List<Entity> loadedEntities = world.getLoadedEntityList();
-        totalEntities = loadedEntities.size();
+        List<Entity> loadedEntities = this.world.getLoadedEntityList();
+        this.totalEntities = loadedEntities.size();
         Tessellator tessellator = Tessellator.instance;
+        Vector3dc cameraPos = camera.getPosition(partialTick);
         // Render weather effects
-        for (int i = 0; i < world.weatherEffects.size(); i++) {
-            Entity entity = world.weatherEffects.get(i);
-            renderedEntities++;
-            if (entity.shouldRender(camera.getPosition(partialTick), 1) || mc.thePlayer.vehicle == entity) {
+        for (int i = 0; i < this.world.weatherEffects.size(); i++) {
+            Entity entity = this.world.weatherEffects.get(i);
+            this.renderedEntities++;
+            if (entity.shouldRender(cameraPos, 1) || this.mc.thePlayer.vehicle == entity) {
                 EntityRenderDispatcher.instance.renderEntity(tessellator, entity, partialTick);
             }
         }
@@ -466,41 +470,41 @@ public class RenderGlobal
         // DO NOT TURN THIS INTO A FOREACH
         for (int i = 0; i < loadedEntities.size(); i++) {
             Entity entity = loadedEntities.get(i);
-            if (mc.activeCamera != null && mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob == entity) {
-                if (!mc.activeCamera.showPlayer()) {
+            if (this.mc.activeCamera != null && this.mc.activeCamera instanceof EntityCamera && ((EntityCamera) this.mc.activeCamera).mob == entity) {
+                if (!this.mc.activeCamera.showPlayer()) {
                     continue;
                 }
             }
-            if (mc.thePlayer.vehicle != entity && (!entity.shouldRender(camera.getPosition(partialTick), mc.gameSettings.entityRenderDistance.value) || !entity.ignoreFrustumCheck && !camera.getFrustum().isVisible(EntityRenderDispatcher.instance.getRenderer(entity).entityViewBox(entity), partialTick))) {
+            if (this.mc.thePlayer.vehicle != entity && (!entity.shouldRender(cameraPos, this.mc.gameSettings.entityRenderDistance.value) || !entity.ignoreFrustumCheck && !camera.getFrustum().isVisible(EntityRenderDispatcher.instance.getRenderer(entity).entityViewBox(entity), partialTick))) {
                 continue;
             }
             int floorY = MathHelper.floor(entity.y);
             if (floorY < 0) {
                 floorY = 0;
             }
-            if (floorY >= world.getHeightBlocks()) {
-                floorY = world.getHeightBlocks() - 1;
+            if (floorY >= this.world.getHeightBlocks()) {
+                floorY = this.world.getHeightBlocks() - 1;
 
             }
-            if (world.isBlockLoaded(MathHelper.floor(entity.x), floorY, MathHelper.floor(entity.z)) || mc.thePlayer.vehicle == entity) {
-                renderedEntities++;
+            if (this.world.isBlockLoaded(MathHelper.floor(entity.x), floorY, MathHelper.floor(entity.z)) || this.mc.thePlayer.vehicle == entity) {
+                this.renderedEntities++;
                 EntityRenderDispatcher.instance.renderEntity(tessellator, entity, partialTick);
             }
         }
 
         // DO NOT TURN THIS INTO A FOREACH EITHER
-        for (int i = 0, tileEntitiesSize = renderableTileEntities.size(); i < tileEntitiesSize; i++) {
-            TileEntity tileEntity = renderableTileEntities.get(i);
+        for (int i = 0, tileEntitiesSize = this.renderableTileEntities.size(); i < tileEntitiesSize; i++) {
+            TileEntity tileEntity = this.renderableTileEntities.get(i);
             TileEntityRenderDispatcher.instance.renderTileEntity(tessellator, camera, tileEntity, partialTick);
         }
     }
 
     public String getRendererDebugInfo() {
-        return "C: " + renderedChunks + "/" + totalChunks + ". F: " + offscreenChunks + ", O: " + occludedChunks + ", E: " + emptyChunks;
+        return "C: " + this.renderedChunks + "/" + this.totalChunks + ". F: " + this.offscreenChunks + ", O: " + this.occludedChunks + ", E: " + this.emptyChunks;
     }
 
     public String getEntityDebugInfo() {
-        return "E: " + renderedEntities + "/" + totalEntities + ". B: " + culledEntities + ", I: " + (totalEntities - culledEntities - renderedEntities);
+        return "E: " + this.renderedEntities + "/" + this.totalEntities + ". B: " + this.culledEntities + ", I: " + (this.totalEntities - this.culledEntities - this.renderedEntities);
     }
 
     public void resortChunks(int xc, int yc, int zc) {
@@ -508,17 +512,17 @@ public class RenderGlobal
 //        yc -= 8;
         zc -= 8;
 
-        xMinChunk = Integer.MAX_VALUE;
-        yMinChunk = Integer.MAX_VALUE;
-        zMinChunk = Integer.MAX_VALUE;
-        xMaxChunk = Integer.MIN_VALUE;
-        yMaxChunk = Integer.MIN_VALUE;
-        zMaxChunk = Integer.MIN_VALUE;
+        this.xMinChunk = Integer.MAX_VALUE;
+        this.yMinChunk = Integer.MAX_VALUE;
+        this.zMinChunk = Integer.MAX_VALUE;
+        this.xMaxChunk = Integer.MIN_VALUE;
+        this.yMaxChunk = Integer.MIN_VALUE;
+        this.zMaxChunk = Integer.MIN_VALUE;
 
-        int s2 = xChunks * RENDER_CHUNK_SIZE;
+        int s2 = this.xChunks * RENDER_CHUNK_SIZE;
         int s1 = s2 / 2;
 
-        for (int x = 0; x < xChunks; x++) {
+        for (int x = 0; x < this.xChunks; x++) {
             int xx = x * RENDER_CHUNK_SIZE;
             int xOff = (xx + s1) - xc;
             if (xOff < 0) {
@@ -527,15 +531,15 @@ public class RenderGlobal
 
             xOff /= s2;
             xx -= xOff * s2;
-            if (xx < xMinChunk) {
-                xMinChunk = xx;
+            if (xx < this.xMinChunk) {
+                this.xMinChunk = xx;
             }
 
-            if (xx > xMaxChunk) {
-                xMaxChunk = xx;
+            if (xx > this.xMaxChunk) {
+                this.xMaxChunk = xx;
             }
 
-            for (int z = 0; z < zChunks; z++) {
+            for (int z = 0; z < this.zChunks; z++) {
                 int zz = z * RENDER_CHUNK_SIZE;
                 int zOff = (zz + s1) - zc;
                 if (zOff < 0) {
@@ -544,28 +548,28 @@ public class RenderGlobal
 
                 zOff /= s2;
                 zz -= zOff * s2;
-                if (zz < zMinChunk) {
-                    zMinChunk = zz;
+                if (zz < this.zMinChunk) {
+                    this.zMinChunk = zz;
                 }
 
-                if (zz > zMaxChunk) {
-                    zMaxChunk = zz;
+                if (zz > this.zMaxChunk) {
+                    this.zMaxChunk = zz;
                 }
 
-                for (int y = 0; y < yChunks; y++) {
+                for (int y = 0; y < this.yChunks; y++) {
                     int yy = y * RENDER_CHUNK_SIZE;
-                    if (yy < yMinChunk) {
-                        yMinChunk = yy;
+                    if (yy < this.yMinChunk) {
+                        this.yMinChunk = yy;
                     }
-                    if (yy > yMaxChunk) {
-                        yMaxChunk = yy;
+                    if (yy > this.yMaxChunk) {
+                        this.yMaxChunk = yy;
                     }
 
-                    ChunkRenderer renderer = chunkRenderers[(z * yChunks + y) * xChunks + x];
+                    ChunkRenderer renderer = this.chunkRenderers[(z * this.yChunks + y) * this.xChunks + x];
                     boolean wasDirty = renderer.dirty;
                     renderer.setPos(xx, yy, zz);
                     if (!wasDirty && renderer.dirty) {
-                        dirtyChunks.add(renderer);
+                        this.dirtyChunks.add(renderer);
                     }
                 }
 
@@ -578,55 +582,55 @@ public class RenderGlobal
     public int render(ICamera camera, int renderPass, double partialTick) {
         // Find which renderers need updating
         for (int i = 0; i < 10; i++) {
-            chunkFixOffs = (chunkFixOffs + 1) % chunkRenderers.length;
-            ChunkRenderer chunkRenderer = chunkRenderers[chunkFixOffs];
-            if (chunkRenderer.dirty && !dirtyChunks.contains(chunkRenderer)) {
-                dirtyChunks.add(chunkRenderer);
+            this.chunkFixOffs = (this.chunkFixOffs + 1) % this.chunkRenderers.length;
+            ChunkRenderer chunkRenderer = this.chunkRenderers[this.chunkFixOffs];
+            if (chunkRenderer.dirty && !this.dirtyChunks.contains(chunkRenderer)) {
+                this.dirtyChunks.add(chunkRenderer);
             }
         }
 
-        if (mc.gameSettings.renderDistance.value != renderDistance) {
+        if (this.mc.gameSettings.renderDistance.value != this.renderDistance) {
             allChanged();
         }
 
         if (renderPass == 0) {
-            totalChunks = 0;
-            offscreenChunks = 0;
-            occludedChunks = 0;
-            renderedChunks = 0;
-            emptyChunks = 0;
+            this.totalChunks = 0;
+            this.offscreenChunks = 0;
+            this.occludedChunks = 0;
+            this.renderedChunks = 0;
+            this.emptyChunks = 0;
         }
 
         double xOff = camera.getX((float) partialTick);
         double yOff = camera.getY((float) partialTick);
         double zOff = camera.getZ((float) partialTick);
-        double xd = camera.getX() - xOld;
-        double yd = camera.getY() - yOld;
-        double zd = camera.getZ() - zOld;
+        double xd = camera.getX() - this.xOld;
+        double yd = camera.getY() - this.yOld;
+        double zd = camera.getZ() - this.zOld;
         if (xd * xd + yd * yd + zd * zd > RENDER_CHUNK_SIZE) {
-            xOld = camera.getX();
-            yOld = camera.getY();
-            zOld = camera.getZ();
+            this.xOld = camera.getX();
+            this.yOld = camera.getY();
+            this.zOld = camera.getZ();
             resortChunks(MathHelper.floor(camera.getX()), MathHelper.floor(camera.getY()), MathHelper.floor(camera.getZ()));
-            Arrays.sort(sortedChunkRenderers, new CameraSorter(camera));
+            Arrays.sort(this.sortedChunkRenderers, new CameraSorter(camera));
         }
 
         Lighting.disable();
         int count = 0;
-        if (occlusionCheck && mc.gameSettings.advancedOpenGL.value && renderPass == 0) {
+        if (this.occlusionCheck && this.mc.gameSettings.advancedOpenGL.value && renderPass == 0) {
             int from = 0;
             int to = RENDER_CHUNK_SIZE;
             checkQueryResults(from, to);
             for (int i = from; i < to; i++) {
-                sortedChunkRenderers[i].occlusionVisible = true;
+                this.sortedChunkRenderers[i].occlusionVisible = true;
             }
 
             count += renderChunks(from, to, renderPass, partialTick);
             do {
                 from = to;
                 to *= 2;
-                if (to > sortedChunkRenderers.length) {
-                    to = sortedChunkRenderers.length;
+                if (to > this.sortedChunkRenderers.length) {
+                    to = this.sortedChunkRenderers.length;
                 }
                 GL11.glDisable(GL11.GL_TEXTURE_2D);
                 GL11.glDisable(GL11.GL_LIGHTING);
@@ -640,22 +644,22 @@ public class RenderGlobal
                 float yo = 0.0F;
                 float zo = 0.0F;
                 for (int ix = from; ix < to; ix++) {
-                    if (sortedChunkRenderers[ix].isEmpty()) {
-                        sortedChunkRenderers[ix].visible = false;
+                    if (this.sortedChunkRenderers[ix].isEmpty()) {
+                        this.sortedChunkRenderers[ix].visible = false;
                         continue;
                     }
-                    if (!sortedChunkRenderers[ix].visible) {
-                        sortedChunkRenderers[ix].occlusionVisible = true;
+                    if (!this.sortedChunkRenderers[ix].visible) {
+                        this.sortedChunkRenderers[ix].occlusionVisible = true;
                     }
-                    if (!sortedChunkRenderers[ix].visible || sortedChunkRenderers[ix].occlusionQuerying) {
+                    if (!this.sortedChunkRenderers[ix].visible || this.sortedChunkRenderers[ix].occlusionQuerying) {
                         continue;
                     }
-                    float dist = MathHelper.sqrt_float(sortedChunkRenderers[ix].distanceToCameraSquared(camera));
+                    float dist = MathHelper.sqrt_float(this.sortedChunkRenderers[ix].distanceToCameraSquared(camera));
                     int frequency = (int) (1.0F + dist / 128F);
-                    if (ticks % frequency != ix % frequency) {
+                    if (this.ticks % frequency != ix % frequency) {
                         continue;
                     }
-                    ChunkRenderer chunkRenderer = sortedChunkRenderers[ix];
+                    ChunkRenderer chunkRenderer = this.sortedChunkRenderers[ix];
                     float xt = (float) ((double) chunkRenderer.xRender - xOff);
                     float yt = (float) ((double) chunkRenderer.yRender - yOff);
                     float zt = (float) ((double) chunkRenderer.zRender - zOff);
@@ -668,10 +672,10 @@ public class RenderGlobal
                         yo += ydd;
                         zo += zdd;
                     }
-                    ARBOcclusionQuery.glBeginQueryARB(GL15.GL_SAMPLES_PASSED, sortedChunkRenderers[ix].occlusionId);
-                    sortedChunkRenderers[ix].renderBB();
+                    ARBOcclusionQuery.glBeginQueryARB(GL15.GL_SAMPLES_PASSED, this.sortedChunkRenderers[ix].occlusionId);
+                    this.sortedChunkRenderers[ix].renderBB();
                     ARBOcclusionQuery.glEndQueryARB(GL15.GL_SAMPLES_PASSED);
-                    sortedChunkRenderers[ix].occlusionQuerying = true;
+                    this.sortedChunkRenderers[ix].occlusionQuerying = true;
                 }
 
                 GL11.glPopMatrix();
